Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class CacheConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.CacheConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, CacheConfigType<T>

    public class CacheConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, CacheConfigType<T>

This class implements the `cache-configType` xsd type

Original Documentation:

Element for specifying the class used to provide the caching mechanism for a bean,
and the cache parameters

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`CacheConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`CacheConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.Integer` | `getCacheMaxSize()` Returns the `cache-max-size` element
`java.lang.String` | `getCacheName()` Returns the `cache-name` element
`java.lang.String` | `getCacheValue()` Returns the `cache-value` element
`java.lang.Integer` | `getIdleTimeoutSeconds()` Returns the `idle-timeout-seconds` element
`java.lang.String` | `getPersistenceManager()` Returns the `persistence-manager` element
`java.lang.Integer` | `getRemoveTimeoutSeconds()` Returns the `remove-timeout-seconds` element
`java.lang.String` | `getReplicationIsPassivation()` Returns the `replication-is-passivation` element
`CacheConfigType<T>` | `removeCacheMaxSize()` Removes the `cache-max-size` element
`CacheConfigType<T>` | `removeCacheName()` Removes the `cache-name` element
`CacheConfigType<T>` | `removeCacheValue()` Removes the `cache-value` element
`CacheConfigType<T>` | `removeIdleTimeoutSeconds()` Removes the `idle-timeout-seconds` element
`CacheConfigType<T>` | `removePersistenceManager()` Removes the `persistence-manager` element
`CacheConfigType<T>` | `removeRemoveTimeoutSeconds()` Removes the `remove-timeout-seconds` element
`CacheConfigType<T>` | `removeReplicationIsPassivation()` Removes the `replication-is-passivation` element
`CacheConfigType<T>` | `setCacheMaxSize(java.lang.Integer cacheMaxSize)` If not already created, a new `cache-max-size` element with the given value will be created.
`CacheConfigType<T>` | `setCacheName(java.lang.String cacheName)` If not already created, a new `cache-name` element with the given value will be created.
`CacheConfigType<T>` | `setCacheValue(java.lang.String cacheValue)` If not already created, a new `cache-value` element with the given value will be created.
`CacheConfigType<T>` | `setIdleTimeoutSeconds(java.lang.Integer idleTimeoutSeconds)` If not already created, a new `idle-timeout-seconds` element with the given value will be created.
`CacheConfigType<T>` | `setPersistenceManager(java.lang.String persistenceManager)` If not already created, a new `persistence-manager` element with the given value will be created.
`CacheConfigType<T>` | `setRemoveTimeoutSeconds(java.lang.Integer removeTimeoutSeconds)` If not already created, a new `remove-timeout-seconds` element with the given value will be created.
`CacheConfigType<T>` | `setReplicationIsPassivation(java.lang.String replicationIsPassivation)` If not already created, a new `replication-is-passivation` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheConfigTypeImpl

    public CacheConfigTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### CacheConfigTypeImpl

    public CacheConfigTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setCacheValue

    public CacheConfigType<T> setCacheValue(java.lang.String cacheValue)

  If not already created, a new `cache-value` element with the given value will be created. Otherwise, the existing `cache-value` element will be updated with the given value.

  Specified by:
    `setCacheValue` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### removeCacheValue

    public CacheConfigType<T> removeCacheValue()

  Removes the `cache-value` element

  Specified by:
    `removeCacheValue` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### getCacheValue

    public java.lang.String getCacheValue()

  Returns the `cache-value` element

  Specified by:
    `getCacheValue` in interface `CacheConfigType<T>`
  Returns:
    the node defined for the element `cache-value`

### setCacheMaxSize

    public CacheConfigType<T> setCacheMaxSize(java.lang.Integer cacheMaxSize)

  If not already created, a new `cache-max-size` element with the given value will be created. Otherwise, the existing `cache-max-size` element will be updated with the given value.

  Specified by:
    `setCacheMaxSize` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### removeCacheMaxSize

    public CacheConfigType<T> removeCacheMaxSize()

  Removes the `cache-max-size` element

  Specified by:
    `removeCacheMaxSize` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### getCacheMaxSize

    public java.lang.Integer getCacheMaxSize()

  Returns the `cache-max-size` element

  Specified by:
    `getCacheMaxSize` in interface `CacheConfigType<T>`
  Returns:
    the node defined for the element `cache-max-size`

### setIdleTimeoutSeconds

    public CacheConfigType<T> setIdleTimeoutSeconds(java.lang.Integer idleTimeoutSeconds)

  If not already created, a new `idle-timeout-seconds` element with the given value will be created. Otherwise, the existing `idle-timeout-seconds` element will be updated with the given value.

  Specified by:
    `setIdleTimeoutSeconds` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### removeIdleTimeoutSeconds

    public CacheConfigType<T> removeIdleTimeoutSeconds()

  Removes the `idle-timeout-seconds` element

  Specified by:
    `removeIdleTimeoutSeconds` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### getIdleTimeoutSeconds

    public java.lang.Integer getIdleTimeoutSeconds()

  Returns the `idle-timeout-seconds` element

  Specified by:
    `getIdleTimeoutSeconds` in interface `CacheConfigType<T>`
  Returns:
    the node defined for the element `idle-timeout-seconds`

### setRemoveTimeoutSeconds

    public CacheConfigType<T> setRemoveTimeoutSeconds(java.lang.Integer removeTimeoutSeconds)

  If not already created, a new `remove-timeout-seconds` element with the given value will be created. Otherwise, the existing `remove-timeout-seconds` element will be updated with the given value.

  Specified by:
    `setRemoveTimeoutSeconds` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### removeRemoveTimeoutSeconds

    public CacheConfigType<T> removeRemoveTimeoutSeconds()

  Removes the `remove-timeout-seconds` element

  Specified by:
    `removeRemoveTimeoutSeconds` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### getRemoveTimeoutSeconds

    public java.lang.Integer getRemoveTimeoutSeconds()

  Returns the `remove-timeout-seconds` element

  Specified by:
    `getRemoveTimeoutSeconds` in interface `CacheConfigType<T>`
  Returns:
    the node defined for the element `remove-timeout-seconds`

### setCacheName

    public CacheConfigType<T> setCacheName(java.lang.String cacheName)

  If not already created, a new `cache-name` element with the given value will be created. Otherwise, the existing `cache-name` element will be updated with the given value.

  Specified by:
    `setCacheName` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### removeCacheName

    public CacheConfigType<T> removeCacheName()

  Removes the `cache-name` element

  Specified by:
    `removeCacheName` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### getCacheName

    public java.lang.String getCacheName()

  Returns the `cache-name` element

  Specified by:
    `getCacheName` in interface `CacheConfigType<T>`
  Returns:
    the node defined for the element `cache-name`

### setPersistenceManager

    public CacheConfigType<T> setPersistenceManager(java.lang.String persistenceManager)

  If not already created, a new `persistence-manager` element with the given value will be created. Otherwise, the existing `persistence-manager` element will be updated with the given value.

  Specified by:
    `setPersistenceManager` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### removePersistenceManager

    public CacheConfigType<T> removePersistenceManager()

  Removes the `persistence-manager` element

  Specified by:
    `removePersistenceManager` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### getPersistenceManager

    public java.lang.String getPersistenceManager()

  Returns the `persistence-manager` element

  Specified by:
    `getPersistenceManager` in interface `CacheConfigType<T>`
  Returns:
    the node defined for the element `persistence-manager`

### setReplicationIsPassivation

    public CacheConfigType<T> setReplicationIsPassivation(java.lang.String replicationIsPassivation)

  If not already created, a new `replication-is-passivation` element with the given value will be created. Otherwise, the existing `replication-is-passivation` element will be updated with the given value.

  Specified by:
    `setReplicationIsPassivation` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### removeReplicationIsPassivation

    public CacheConfigType<T> removeReplicationIsPassivation()

  Removes the `replication-is-passivation` element

  Specified by:
    `removeReplicationIsPassivation` in interface `CacheConfigType<T>`
  Returns:
    the current instance of `CacheConfigType`

### getReplicationIsPassivation

    public java.lang.String getReplicationIsPassivation()

  Returns the `replication-is-passivation` element

  Specified by:
    `getReplicationIsPassivation` in interface `CacheConfigType<T>`
  Returns:
    the node defined for the element `replication-is-passivation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD